#!/bin/sh
. /www/cgi-bin/cgiComFuncs.sh
. /www/cgi-bin/cgiSysFuncs.sh
ARG=""
cd /var/ascu
echo Shutting down http service...
sleep 3
echo -n > /var/run/hcexit
kill -15 `cat /var/run/thttpd.pid`
if [ -f /var/run/Dirty.db ]; then
	echo Synchronizing database... '<br>'
	# Handle DB writes
	rm /var/run/Dirty.db
	if [ -f Error.db ]; then
		mv Error.db Error.new
	fi
	if [ -f Status.db ]; then
		mv Status.db Status.new
	fi
	tar cf /var/ascu/ascudb.tar *.db
	if [ -f Error.new ]; then
		mv Error.new Error.db
	fi
	if [ -f Status.new ]; then
		mv Status.new Status.db
	fi
	echo Done synchronizing database... '<br>'
fi
BUSY="testing"
while  [ -n "$BUSY" ]; do
	BUSY=`syslock flash fastboot`
done	
BUSY="testing"
while  [ -n "$BUSY" ]; do
	BUSY=`syslock boot fastboot`
	if [ -z "$BUSY" ]; then
		echo -n > /var/run/boot-me-now
	fi
done
setstat -d 0 -s 32768
kill -USR1 `cat /var/run/alarm_mgr.pid`
