#!/bin/sh
date=`date`
PATH=$PATH:./bin
ACTION=`echo $QUERY_STRING | cut -d '=' -f 1`
ARG=`echo $QUERY_STRING | sed 's/^[^=]*=//;s/\"//g'`
ALL=`sed 's/&/ /g;s/+/ /g' << EOF
$ARG
EOF
`
if [ "$HTTP_USER_AGENT" ]; then
	CONTENT="Content-type: text/html"
else
	CONTENT="Content-type: text/plain"
fi

cat << EOF
$CONTENT
Expires: $date

EOF

if [ ! -z "$HTTP_USER_AGENT" ]; then
	echo "<HTML><head><META HTTP-EQUIV="Pragma" CONTENT="no-cache"></head>"
	echo "<BODY><PRE>"
fi
	BLK=`echo "$ARG" | sed -n '/\/etc\/passwd/p;/\/etc\/shadow/p;/fm.cgi/p'`
	PO="Permission denied"
	case `basename $ACTION` in
	l)	ls -laF $ARG
		;;
	dl)	ARG1=`echo "$ARG" | cut -d '&' -f 1`
		ARG2=`echo "$ARG" | sed -n '/&/p' | cut -d '&' -f 2`
                if [ -d $ARG2 ]; then
                        FN=`echo $ARG1 | cut -d '=' -f 2`
                        ARG2=$ARG2/`basename $FN`
                fi
		echo "Remote: $ARG1"
		echo "Local: $ARG2"
		getnet $ARG1 -b -h > $ARG2
		echo "Done"
		;;
	cat)	
		if [ -z "$BLK" ]; then
			cat $ALL
		else
			echo $PO
		fi
		;;
	passwd) echo "Only root can change the password for others"
		;;
	*)	echo $ACTION $ALL
		if [ -z "$BLK" ]; then
			$ACTION $ALL
		else
			echo $PO
		fi
		;;
	esac
if [ ! -z "$HTTP_USER_AGENT" ]; then
	echo "</PRE></BODY></HTML>"
fi
