#!/bin/sh
. ./getargs.sh
./header3.sh "$subset Status"

# START 2 lines for password feature
. ./login.sh
LogInLogic
GetOperatorName
# END password feature code

TEMP=''
case $action in
   Show+TMAs)
    #echo 'setvar class TMA' >/tmp/$REMOTE_ADDR.rc
    #setvar class TMA
    echo 'class=TMA' >/tmp/$REMOTE_ADDR.rc
    class=TMA
    TEMP='Display mode changed to TMA'
    ;;
   Show+RETs)
    #echo 'setvar class RET' >/tmp/$REMOTE_ADDR.rc
    #setvar class RET
    echo 'class=RET' >/tmp/$REMOTE_ADDR.rc
    class=RET
    TEMP='Display mode changed to RET'
    ;;
   Wake)
    TEMP=`aisg_command`
    sleep 2
    ;;
   Suspend)
    TEMP=`aisg_command`
    sleep 2
    ;;
esac

cat << EOF


<script language=Javascript>
function DoConfigureBus()
{
    var loc = "/cgi-bin/atc300ManualAddress.cgi";
    var i = 0;
    var namedElement = 0;
    var maxaddr = 64;

    // look for a seed...
    for(i=0; (i<maxaddr) && (namedElement==0); i++)
    {
         var me = document.getElementById("atcradio"+i);
         if (me)
         {
             if (me.checked)
             {
                namedElement = me.value;   
             }
         }
    }
    if (namedElement != 0)
    {
        loc = loc + "?name=" + namedElement;
    }
    document.location = loc;
}
</script>

<form  action="/cgi-bin/indexredir.cgi" method=GET>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr><td>&nbsp;</td></tr>
  <tr><td>&nbsp;</td></tr>
  <tr>
    <td><div id="layerDevInf">
EOF
    if [ -f "/tmp/hibernate.txt" ]; then
    cat <<EOF
    <br><center><font color="red">AISG bus power is currently suspended.</font></center><br>
EOF
fi
if [ "$class" = "" ]; then
    class=RET
    echo 'class=RET' >/tmp/$REMOTE_ADDR.rc
fi
cat <<EOF
      <table class="tbl" id="tableDevInf" cellspacing="0" width="100%">
        <tbody>
          <tr id="title">
            <th colspan="14">$class Device Information</th>
          </tr>
          <tr id="header">
            <th>ID</th>
            <th>Type</th>
            <th>AISG</th>
            <th>Status</th>
            <th>Sector</th>
EOF
if [ "$class" = "TMA" ]; then
cat <<EOF
            <th>Base Station ID</th>
            <th>Bands</th>
            <th>Mode</th>
            <th>Gain</th>
EOF
else
cat <<EOF
            <th>Location</th>
            <th>Base Station ID</th>
            <th>Bands</th>
            <th>ETilt</th>
            <th>MTilt</th>
            <th>Az Bearing</th>
            <th>RAS</th>
            <th>RAB</th>
            <th>Model</th>
EOF
fi
cat <<EOF

          </tr>
EOF
. ./login.sh
GetOperatorName

if [ "$class" = "TMA" ]; then
    if [ -z "$logOper" ]; then
        statustable -s Device -l TMA -N
    else
        statustable -s Device -l TMA -N -o $logOper
    fi
    export DEVCOUNT=$?
else
    if [ -z "$logOper" ]; then
        statustable -s Device -l RET -N
    else
        statustable -s Device -l RET -N -o $logOper
    fi
    export DEVCOUNT=$?    
fi

if [ -n "$logOper" ]; then
cat <<EOF
EOF
fi
cat <<EOF
        </tbody>
      </table>
</div></td>
  </tr>
  <tr>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td><div class="box">
      <table cellspacing="0">
        <tbody>
          <tr>
            <td ><fieldset>
EOF
if [ "$class" = "TMA" ]; then
cat <<EOF
              <legend>Devices</legend>


              <table border="0" cellspacing="0" cellpadding="3">
                <tr>
                  <td width="41%"><div align="center">
                      <input id="b1" name="action" value="Change TMA Mode" type=submit style="width:180px">
                  </div></td>
                  <td width="59%"><div align="center">
                      <input id="b2" name="action" value="Change TMA Gain" type=submit style="width:180px">
                  </div></td>
                </tr>
                <tr>
                  <td><div align="center">
                      <input id="b3" name="action" value="Edit Selected TMA" type=submit style="width:180px">
                  </div></td>
                  <td><div align="center">
                      <input id="b4" type=submit name="action" value="Show Statistics..." style="width:180px">
                  </div></td>
                </tr>
EOF
else
cat <<EOF
              <legend>Devices</legend>

              
              <table border="0" cellspacing="0" cellpadding="2">
                <tr>
                  <td width="41%"><div align="center">
                      <input id="b1" name="action" value="Move Sector..." type=submit style="width:150px" title="Set tilt for one or more compatible antennas in the same sector">
                  </div></td>
                  <td width="59%"><div align="center">
                      <input id="b2" name="action" value="Move Selected..." type=submit style="width:150px" title="Set tilt for one specific antenna">
                  </div></td>
                </tr>
                <tr>
                  <td><div align="center">
                      <input id="b3" name="action" value="Edit Selected..." type=submit style="width:150px"  title="Change Appendix D data for one specific antenna">
                  </div></td>
                  <td><div align="center">
                      <input id="b4" type=submit name="action" value="Show Statistics..." style="width:150px"  title="Look at software and hardware versions for equipment">
                  </div></td>
                </tr>
</form>
EOF
fi
cat <<EOF
              </table>
            </fieldset></td>
                <td ><fieldset>
                  <legend>Display</legend>
                  <table border="0" cellspacing="0" cellpadding="2">
                <tr>
                </form>
                <form  action="/cgi-bin/index.cgi" method=GET>
                  <td><div align="center">
EOF
if [ -f /tmp/hibernate.txt ]; then
cat <<EOF
                    <input name="Button" value="Update/Refresh" type=submit style="width:150px" DISABLED  title="Update the data on this screen">
EOF
else
cat <<EOF
                    <input name="Button" value="Update/Refresh" type=submit style="width:150px" title="Update the data on this screen">
EOF
fi
cat <<EOF
                  </div></td></tr><tr>
EOF
if [ "$class" = "TMA" ]; then
cat <<EOF
                  <td><div align="center">
                      <input name="action" value="Show RETs" type=submit style="width:150px" title="Show RETs instead of TMAs">
                  </div></td>
EOF
else
cat <<EOF
                  <td><div align="center">
                      <input name="action" value="Show TMAs" type=submit style="width:150px" title="Show TMAs instead of RETs">
                  </div></td>
EOF
fi
cat <<EOF
                  </form>
                </tr>
              </table>
            </fieldset></td>

            <td ><fieldset>
              <legend>AISG Bus</legend>
              <table border="0" cellspacing="0" cellpadding="2">
                <tr>
                <form  action="/cgi-bin/indexredir.cgi" method=GET>
                  <td><div align="center">
EOF
if [ -n "$logOper" -a "$logOper" != "10" ]; then
  ALLOWED="DISABLED"
fi
cat <<EOF
                      <input name="action" value="Find Devices" type=submit style="width:150px" title="Execute AISG Device Scan on the bus" $ALLOWED>
                  </div></td>
                </form>
                </tr><tr>
                  <td><div align="center">
                      <input name="button" value="Configure Bus" type=submit  style="width:150px" onclick="DoConfigureBus()" title="Make manual changes to bus addressing and equipment names" $ALLOWED>
                  </div></td>
                </tr>
                  <form  action="/cgi-bin/index.cgi" method=GET>
                </table>
                </fieldset>
            </td>
            <td ><fieldset>
              <legend>Bus Power</legend>
              <table border="0" cellspacing="0" cellpadding="3">
                <tr>
            <form  action="/cgi-bin/index.cgi" method=GET>
EOF

if [ -f /tmp/hibernate.txt ]; then
cat <<EOF
                  <td><div align="center">
                      <input name="action" value="Suspend" type=submit  style="width:150px" DISABLED>
                  </div></td>
                </tr>
                <tr>
                  <td><div align="center">
                      <input name="action" value="Wake" type=submit  style="width:150px" action="Wake" color="red" title="Restore actuator power to the bus">
                  </div></td>
EOF
else
cat <<EOF
                  <td><div align="center">
                      <input name="action" value="Suspend" type=submit  style="width:150px" action="Suspend" title="Remove actuator power from the bus" $ALLOWED>
                  </div></td>
                </tr>
                <tr>
                  <td><div align="center">
                      <input name="action" value="Wake" type=submit  style="width:150px" DISABLED>
                  </div></td>
EOF
fi
cat <<EOF
                </form>
                </tr>
              </table>
            </fieldset></td>
          </tr>
          <tr>
            <td><label>Command / Status Response </label></td>
          </tr>
          <tr>
            <td colspan=5>
            <IFRAME WIDTH=100% HEIGHT=75px ALIGN="top" NAME=workerhog READONLY>
            </IFRAME>
            </td>
          </tr>
        </tbody>
      </table>
    </div></td>
  </tr>
  <tr>
    <td>&nbsp;</td>
  </tr>
</table>

<script language="javascript">
    workerhog.document.open();
    workerhog.document.write("$TEMP");
    workerhog.document.close();
</script>

EOF
if [ "$DEVCOUNT" = "0" ]; then
cat <<EOF
<script language="javascript">
       document.getElementById("b1").disabled = true;
       document.getElementById("b2").disabled = true;
       document.getElementById("b3").disabled = true;
</script>
EOF
fi

if [ -z "$logOper" ]; then
    cat menubar.html
else 
  if [ "$logOper" = "10" ]; then
    cat menubar_admin.html
  else
    cat menubar_oper.html
  fi
fi
