#!/bin/sh
SITE=`ascu_db_trans -db Site.db -f 1 | cut -f 2`
SERIAL=`cat /Serial.txt`
MDATE=`cat /ManufDate.txt`
#IDATE=`ascu_db_trans -db Site.db -f 4 -l | cut -f 2`
#UTIME=`uptime | cut -d ',' -f 1 | sed "s/^............//"`
LOAD=`uptime | cut -d 'g' -f 2 | sed "s/^...//"`
#STATUS=`setstat -d 0 -g | head -n 1`
#if [ -e /tmp/input_voltages.txt -a -e /tmp/aisg_voltages.txt ]; then
#   echo >>/dev/null
#else
   ssp_util -g
#fi
INPUT_VOLT=`cat /tmp/input_voltages.txt`
if [ -f /tmp/aisg_voltages.txt ]; then
   AISG=`cat /tmp/aisg_voltages.txt`
else
   AISG="N/A"
fi
if [ -f /tmp/modem_voltages.txt ]; then
   MODEM_PORTS=`cat /tmp/modem_voltages.txt`
else
   MODEM_PORTS="N/A"
fi

if [ -f /var/ascu/uploads/version ]; then
	BUILD=`cat /var/ascu/uploads/version`
fi
cat >/tmp/status.cache <<EOF
				<tr>
					<td width=33%>&nbsp</td>
					<td>System Load:</td>
					<td>$LOAD</td>
				</tr>
				<tr>
					<td width=33%>&nbsp</td>
					<td>Kernel ID:</td>
					<td>`uname -v | sed "s/MST //;s/MDT //"`</td>
				</tr>
				<tr>
					<td width=33%>&nbsp</td>
					<td>System Build ID:</td>
					<td>v$BUILD</td>
				</tr>
				<tr>
					<td width=33%>&nbsp</td>
					<td>Modem Ports:</td>
					<td>$MODEM_PORTS</td>
				</tr>
				<tr>
					<td width=33%>&nbsp</td>
					<td>AISG Port:</td>
					<td>$AISG</td>
				</tr>
				<tr>
					<td width=33%>&nbsp</td>
					<td>Input Voltage:</td>
					<td>$INPUT_VOLT</td>
				</tr>
EOF

cat >/tmp/status2.cache <<-EOF
				<tr>
					<td width=33%>&nbsp</td>
					<td>Site Name:</td>
					<td>$SITE
				</tr>
				<tr>
					<td width=33%>&nbsp</td>
					<td>Serial Number:</td>
					<td>$SERIAL</td>
				</tr>
EOF

cat >>/tmp/status2.cache <<-EOF
				<tr>
					<td width=33%>&nbsp</td>
					<td>Manufacture Date:</td>
					<td>$MDATE</td>
				</tr>
EOF

