#!/bin/sh
# output a nokia-style serial #, either read from flash environment or
# create one based on the hardware serial# & manufacture date

if [ $# = 1 ]; then
	SERIAL=$1
	#PREFIX=`flash_util -p | grep vendorlabel | sed "s/vendorlabel=//"`
	if [ -z "$PREFIX" ]; then
		YEAR=`ascu_db_trans -db Site.db -f 3 -l | cut -f 2 | sed "s/..................//"`
		RAWDATE=`ascu_db_trans -db Site.db -f 3 | cut -f 2`
		WEEK=`weeknumber -t $RAWDATE`
		PREFIX="0A2$YEAR$WEEK"
		SERIAL=`echo $SERIAL | sed "s/.//"`
		SERIAL="$PREFIX$SERIAL"
	else
		SERIAL=$PREFIX
	fi
	echo $SERIAL
fi
