#!/bin/sh

BACKLINK=$HTTP_REFERER
ARGC=1
. ./getargs.sh
. ./cgiComFuncs.sh

./header.sh "Service Menu"

cat <<EOF
<table border=0 cellspacing=0 cellpadding=0 width=680 align=center summary="">
	<tr>
		<td valign=top>
			<table border=0 cellspacing=0 cellpadding=4 width=100 height=480 summary="Main menu">
				<tr>
					<td bgcolor=#6699CC nowrap><a href="/cgi-bin/index.cgi" class=menu>Main Page</a></td>
				</tr>
				<tr>
					<td bgcolor=#6699CC nowrap><a href="/cgi-bin/oldindex.cgi" class=menu>Old Main Page</a></td>
				</tr>
				<TR>
					<TD bgColor=#6699CC noWrap>
						<A class=menu href="/cgi-bin/status.cgi?subset=Device">&#149;&nbsp;Antenna Devices</A>
					</TD>
				</TR>
				<TR>
					<TD bgColor=#6699CC noWrap>
						<A class=menu href="/cgi-bin/system.cgi">&#149;&nbsp;Controller</A>
					</TD>
				</TR>
				<TR>
					<TD bgColor=#6699CC noWrap>
						<A class=menu href="/cgi-bin/system.cgi">&nbsp;&nbsp;&#150;&nbsp;Basic Configuration</A>
					</TD>
				</TR>
				<TR>
					<TD bgColor=#012fcb noWrap>
						<A class=menu href="/cgi-bin/service.cgi">&nbsp;&nbsp;&#150;&nbsp;Service Menu</A>
					</TD>
				</TR>
				<TR>   
					<TD bgColor=#6699CC noWrap>
						<A class=menu href="/cgi-bin/secure/admin.cgi">&nbsp;&nbsp;&#150;&nbsp;Admin Menu</A>
					</TD>
				</TR>
				<TR>
					<TD bgColor=#6699CC height="100%">
						<PRE> </PRE>
					</TD>
				</TR>
			</table>
		</td>
		<td align=center width=12></td>
		<td valign=top align=left>
			<table border=0 width=530 cellspacing=0 cellpadding=4>
				<tr>
					<td><H3>$UNIT Service</H3></td>
				</tr>
			</table>
			<hr>
EOF

cat <<-EOF
			<table border=0 cellspacing=0 cellpadding=4>
			<form  action="/cgi-bin/service.cgi" method=GET>
					<tr>
						<td colspan=2><input type=submit name="action" value="Calibrate Actuator Device" class=button style="width: 230px"> </td>
						<td colspan=2 align=center>
							<select name=name>
		EOF

    ascu_db_trans -db Handle.db -F '<option value=%d> %s </option>'
cat <<-EOF
							</select>
						</td>
					</tr>
				 <input type=hidden name="subset" value="Device">
				 <input type=hidden name="command" value="49">
			</form>            
				<form  action="/cgi-bin/service.cgi" method=GET>
				<tr>
                <td>
					<input type=submit name ="action" value="Firmware CRC" class=button style="width: 110px">
                </td><td>
					<input type=submit name ="action" value="Memory Info" class=button style="width: 110px">
                </td><td>
					<input type=submit name ="action" value="Network Info" class=button style="width: 110px">
                </td><td>
					<input type=submit name ="action" value="Cycle Bus Power" class=button style="width: 110px">
                    </td>
				</tr>
				<tr>
                <td>
					<input type=submit name ="action" value="Alarm Status" class=button style="width: 110px">
                </td>
                <td>
					<input type=submit name ="action" value="Alarm History" class=button style="width: 110px">
                </td>
                <td>
					<input type=submit name ="action" value="Alarm Clients" class=button style="width: 110px">
                </td>
                <td>
					<input type=submit name ="action" value="Bus Log" class=button style="width: 110px">
                </td>
				</tr>
				</form>
			</table>
			<hr>
  <style type="text/css">
    div#layerDevInf {height: 308px; width: 640px; border: 2px solid #012fcb; background: #FFFFFF;
    text-align: left; margin-top: 0.1em; padding: 10px; overflow: scroll}
  </style>
		EOF
case $action in
	Alarm+Status)
        cat <<-EOF
        <div id="layerDevInf">
        <pre>
		EOF
        if [ -f ../CurrentAlarms.txt ]; then
          echo    'BA  Date       Time     Notification text'
          echo -n '--  ---------- -------- ------------------------------</strong>'
          cat ../CurrentAlarms.txt
        fi
        echo '</td></tr></table></pre>'
		;;
	Alarm+History)
        cat <<-EOF
        <div id="layerDevInf">
        <pre>
		EOF
        echo    'Sequence Date       Time     Dev addr   type         Notification text'
        echo -n '-------- ---------- -------- -------- ------------ --------------------------------</strong>'
        if [ -f ../AlarmLog1.txt ]; then
          cat ../AlarmLog1.txt
        fi
        if [ -f ../AlarmLog2.txt ]; then
          cat ../AlarmLog2.txt
        fi
        if [ -f ../AlarmLog3.txt ]; then
          cat ../AlarmLog3.txt
        fi
        echo '</pre></div>'
		;;
	Alarm+Clients)
        cat <<-EOF
        <div id="layerDevInf">
        <pre>
		EOF
        if [ -f /var/ascu/Subscriber.db ]; then
          cat /var/ascu/Subscriber.db
        fi
		;;
	Bus+Log)
        cat <<-EOF
        <div id="layerDevInf">
        <pre>
		EOF
        if [ -f ../ahdlclog.1 ]; then
          cat ../ahdlclog.1
        fi
        if [ -f ../ahdlclog.2 ]; then
          cat ../ahdlclog.2
        fi
        if [ -f ../ahdlclog.3 ]; then
          cat ../ahdlclog.3
        fi
        echo '</td></tr></table></pre>'
		;;
	Firmware+CRC)
		cat <<-EOF
			<table border=2 cellspacing=0 cellpadding=4>
				<tr><td colspan=3><b>Firmware Image CRC</b></td></tr>
				<tr>
					<td>Image name</td><td>Size</td><td>CRC</td>
				</tr>
				<tr>
					`flash_util -k | sed "s/^/<td>/;s/	/<\/td><td>/g;s/$/<\/td><\/tr><tr>/"`
				</tr>
			</table>
		EOF
		;;
	Calibrate+Actuator+Device)
		cat <<-EOF
			<table border=0 cellspacing=0 cellpadding=0>
				<tr>
					<td><H3>AISG Command</H3></td>
				</tr>
			</table>
			<table border=2 cellspacing=0 cellpadding=4>
			<tr>
				<td><H4>Device</H4></td><td><H4>Command</H4></td><td colspan=10><H4>Result</H4></td>
			</tr>
			`/usr/bin/aisg_command -l -b "<tr><td>" -e "</td></tr>" -s "</td><td>"`
			</table>
		EOF
		;;
	Memory+Info)
        cat <<-EOF
        <div id="layerDevInf">
			<b>Memory Info</b>
			<pre>
			`cat /proc/meminfo`
			</pre>
		EOF
		;;
	Network+Info)
        cat <<-EOF
        <div id="layerDevInf">
			<b>Network Info</b>
			<pre>
			`ifconfig`

			`route`
			</pre>
		EOF
		;;
	Cycle+Bus+Power)
		STATUS=`ascu_db_trans -db Error.db -f "	POWER_STATUS" | cut -f 1`
		#echo "7,0" >/var/run/Status.set
		setstat -d 0 -s $STATUS
		sleep 30
		#echo "7,0" >/var/run/Status.clear
		setstat -d 0 -c $STATUS
		echo "RS485 Bus power cycled"
		;;
	esac

cat <<EOF
		</td>
	</tr>
</table>
</body>
</html>
EOF

