#!/bin/sh
. ./cgiComFuncs.sh
ARGC=1
. ./getargs.sh
NAME=`ascu_db_trans -db Handle.db -f $name | cut -f 2`

cat <<EOF
Content-type: text/html
Expires: Wed, 21 Aug 1968 00:01:00 GMT

<html>
<head>
<title>Movement for $NAME</title>
<link rel=stylesheet href="/ascu.css" type="text/css">
</head>
<body>
<h3>Calibration Progress</h3>
Sending command...<br>
EOF

    export QUERY_STRING="action=Calibrate+Actuator+Device&command=49&subset=Device&name=$name"
    . ./getargs.sh
    /usr/bin/aisg_command -a -l -b " " -e " " -s "&nbsp;" &
   
cat << EOF
Waiting for command to complete...

<script type="text/javascript">
    opener.workerhog.document.open();
    opener.workerhog.document.write("$RESULT<br>Waiting for actuator to complete calibration. ");
    opener.workerhog.document.close();
</script>
EOF

  echo -n Calibrating... '<br>'
  sleep 2
  export QUERY_STRING="action=Get+Queue+Depth"
  DEPTH=0
  QD=1
  while [ $QD != 0 ]; do
	echo -n "&nbsp;."
	QD=`aisg_command | cut -f 4`
  done

  sleep 2
  echo '&nbsp;<BR>Movement complete.'
# Get tilt
  export QUERY_STRING="subset=Device&name=$name&command=52"

  SECONDRESULT=`/usr/bin/aisg_command -l -b " " -e " " -s "&nbsp;"`
sleep 2
cat << EOF
  <BR>&nbsp;<BR>
  <script type="text/javascript">
    opener.workerhog.document.open();
    opener.workerhog.document.write("Movement finished!<BR> $SECONDRESULT<BR> ");
    opener.workerhog.document.close();
    opener.location.reload(true);
  </script>
EOF


cat <<EOF
  <input type=button value="Close Window" onClick="window.close(this)" class=button style="width: 110px"><br>
  </body>
  </html>
EOF

