#!/bin/sh
. ./getargs.sh
./header2.sh "$subset Status"

# START for password feature
. ./login.sh
LogInLogic
GetOperatorName
# END for password feature

CURRENTIP=`cat /var/ascu/CurrentIP.txt`

cat << EOF

    <link rel="StyleSheet" href="UploadControl.css" type="text/css" />
    <script type="text/javascript" src="UploadControl.js"></script>
    <script type="text/javascript">
        window.onload = function() {
            var uploadControl = new EdtUploadControl("MyUploadControl");
            uploadControl.render();
            uploadControl.button.value = "Select Device File";
            uploadControl.onClick = function() {
	          this.setRemoteHost(document.getElementById("Server").value);
	          this.setLogLevel("OFF");
	          this.setInitialRemoteDirectory("/tmp");
            }
            uploadControl.onFilesUploaded = function(success,FileName) { 
                  var filenameText = document.getElementById("Filename");
                  var UseFtpText = document.getElementById("UseFtp");
                  if (success)
                  {
                    filenameText.value = FileName;
                    UseFtpText.value = "Yes";
                    doUpdate(filenameText.value);
                  }
            }
        }
    </script>

<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr><td>&nbsp;</td></tr>
  <tr><td>&nbsp;</td></tr>
  <tr>
    <td><div id="layerDevInf">
     <form action="/cgi-bin/atc300DeviceUpgrade.cgi" name="pickem" method=GET>
      <table id="tableDevInf" cellspacing="0" width="100%">
        <tbody>
          <tr id="title">
            <th colspan="11">Device Upgrade Information</th>
          </tr>
          <tr id="header">
            <th>Device</th>
            <th>Vendor</th>
            <th>Serial Number</th>
            <th>SW Version</th>
            <th>Type</th>
            <th>Product Type</th>
EOF
if [ -z "$preselect" ]; then
  export preselect="Unselect+All"
fi
if [ "$preselect" = "Select+All" ]; then
cat <<EOF
           <th><input type=submit name="preselect" value="Unselect All" class=button ></th>
         </tr>
EOF
    if [ -z "$logOper" ]; then
       devtable -N -s Device -n All -a Upgrade -c
    else
       devtable -N -s Device -n All -a Upgrade -c -o $logOper
    fi
else
cat <<EOF
           <th><input type=submit name="preselect" value="Select All" class=button ></th>
         </tr>
EOF
    if [ -z "$logOper" ]; then
       devtable -N -s Device -n All -a Upgrade
    else
       devtable -N -s Device -n All -a Upgrade -o $logOper
    fi
fi
cat <<EOF
        </tbody>
      </table>
</div></td>
  </tr>
  <tr><td><div class="box">
        <table width="100%"  class="form_2" border="0" cellspacing="0" cellpadding="0">
          <td>&nbsp;</td>
          <tr>
            <td><input type=hidden name="server" id="Server" value="$CURRENTIP" size=75 maxlength=75></td>
            <td><input type=hidden name="filename" id="Filename" value="$FILENAME" size=75 maxlength=28> </td>
            <td><input type=hidden name="useftp" id="UseFtp" value="No" size=75 maxlength=28> </td>
          </tr>
          <tr align=center>
            <td>&nbsp;</td>
            <td align=center>
	      <div id="MyUploadControl" class="EdtUploadControl"></div>
            </td>
            <td>&nbsp;</td>
          </tr>
        </table>
        </form>
  </td>
  </tr>
  <tr>
    <td>
      <table cellspacing="0">
        <tbody>
          <tr>
          </tr>
          <tr>
            <td><label>Command / Status Response </label></td>
          </tr>
          <tr>
            <td colspan=5>
            <IFRAME WIDTH=100% HEIGHT=75px ALIGN="top" NAME=workerhog READONLY>
            </IFRAME>
            </td>
          </tr>
        </tbody>
      </table>
    </div></td>
  </tr>
  <tr>
    <td>&nbsp;</td>
  </tr>
</table>
      <table width="100%">
          <tr>
            <td align=center>
                <input name="btnClose" type="button" id="btnClose" value="Close" onclick="parent.location='/cgi-bin/index.cgi'">
            </td>
          </tr>
      </table>

<script language="javascript">
function doUpdate(filename)
{
    var addr = 0;
    var count = 0;
    var meaningful = false;
    var conflict = false;
    var reqUrl = "";
    var product_type = "";
    reqUrl = "atc300DeviceUpgradeExe.cgi?";
    reqUrl = reqUrl + "action=Upload+File+to+Device";
    workerhog.document.write(filename);

    if (filename.length == 0)
    {
        alert("No file specified");
        return;
    }
    
    for(addr = 1; addr <= maxEmittedAddress; addr++)
    {
      var tempName = "device" + addr;
      var victim = document.getElementById(tempName);
      if (victim)
      {
        if (victim.checked)
        {
            if (product_type == "") product_type = victim.value;
            else if (product_type != victim.value)
            {
                conflict = true;
                break;
            }
            count++;
            reqUrl = reqUrl + "&upgrade" + count + "=" + addr;
            meaningful = true;
        }
      }
    }

    if (conflict)
    {
      alert ("Multiple device types selected");
    }
    else if (meaningful)
    {
      reqUrl = reqUrl + "&url=" + filename;
      reqUrl = reqUrl + "&type=FMW";
  	  ScanWindow = window.open (reqUrl,"scan","height=475,width=350,toolbar=no,menubar=no,scrollbars=yes,resizable=yes,location=no,directories=no,status=no,top=100,left=100,screenX=100,screenY=100");
	  ScanWindow.focus();
    }
    else
    {
      alert ("No devices selected");
    }
}
</script>


<script language="javascript">
    workerhog.document.open();
    workerhog.document.write("$TEMP");
    workerhog.document.close();
</script>

EOF

if [ -z "$logOper" ]; then
    cat menubar.html
else 
  if [ "$logOper" = "10" ]; then
    cat menubar_admin.html
  else
    cat menubar_oper.html
  fi
fi
