#!/bin/sh

ARGC=1
. ./getargs.sh


cat <<EOF
Content-type: text/html
Expires: Wed, 21 Aug 1968 00:01:00 GMT

<html>
<head>
<title>Device Scan Progress</title>
<link rel=stylesheet href="/ascu.css" type="text/ css">
</head>
<body>

EOF
. ./login.sh
GetOperatorName

if [ -z "$logOper" ] || [ "$logOper" = "10" ]; then
cat <<EOF

<h3>Device Search Progress</h3>
<table noborder>
<tr><td>Progress: </td><td><INPUT DISABLED size=27 name="scanlocation" value="***Initializing***"></td></tr>
<tr><td>Devices:&nbsp;&nbsp;</td><td><INPUT DISABLED size=27 name="scancount" value="***Initializing***"></td></tr>
<tr><td>Most recent: </td><td><INPUT DISABLED size=27 name="scanlast" value="***Initializing***"></td></tr>
</table>
<br>
<script type="text/javascript">
    opener.statushog.location.reload(true);
    opener.document.getElementById("menubar").disabled = true;
</script>
EOF

if [ -f /var/ascu/Handle.db ]; then
  DEVICES_IN_DB=`cat /var/ascu/Handle.db | wc -l`
else
  let DEVICES_IN_DB=0
fi

echo $maxcount >/tmp/scanmax.txt
rm -f /tmp/cancelscan.txt

if [ $DEVICES_IN_DB -lt `cat /tmp/scanmax.txt` ]; then

export QUERY_STRING="action=Send+One+Shot+Scan&scan=Auto-scan"
/usr/bin/aisg_command >/dev/null &
rm -f /tmp/scanclue.txt
sleep 5

COUNT=0
RELOAD_AGAIN=0
while [ $COUNT -lt 35 ]; do
    if [ -f /tmp/devscanstarted.txt ]; then
		COUNT=99
	else
		sleep 1
        let COUNT=$COUNT+1
	fi
done
FOUND=0
    echo "<script type="text/javascript">"
    echo '    scancount.value = "0";'
    echo '    scanlast.value = " " '
    echo "</script>"
while [ -f /tmp/devscanstarted.txt ]; do
    OLDFOUND=$FOUND
    FOUND=0
    DIFF=0
    echo '<!-- running' '`date`' '-->'
    if [ -f /tmp/scanclue.txt ]; then
    echo "<script type="text/javascript">"
    echo '    scanlocation.value ="' `cat /tmp/scanclue.txt` '";'
    echo "</script>"
    fi

    if [ -f /tmp/devscanprog.txt ]; then
      FOUND=`cat /tmp/devscanprog.txt | wc | cut -b 1-9`
    fi
    if [ "$FOUND" -gt "$OLDFOUND" ]; then
      let "DIFF=$FOUND-$OLDFOUND"
      echo "<script type="text/javascript">"
      echo '    scanlast.value = "' `tail -n 1 /tmp/devscanprog.txt | cut -b 6-26` '"'
      echo '    scancount.value = "' $FOUND '"; '
      echo "</script>"
        if [ "$FOUND" -ne "1" ]; then
            ENDING="s"
        else
            ENDING=""
        fi

cat <<EOF
<script type="text/javascript">
    opener.workerhog.document.open();
    opener.workerhog.document.writeln("Found a device");
    opener.workerhog.document.close();
</script>
EOF

    fi
    echo . 
	sleep 3
    if [ "$FOUND" -gt "$OLDFOUND" -o "$RELOAD_AGAIN" -gt "0" ]; then
        if [ "$FOUND" -gt "$OLDFOUND" ]; then
            RELOAD_AGAIN=1
        else
            RELOAD_AGAIN=0
        fi
cat <<EOF
<script type="text/javascript">
    opener.statushog.location.reload(true);
    opener.workerhog2.location.reload(true);
</script>
EOF
    fi
done

    OLDFOUND=$FOUND
    FOUND=0
    if [ -f /tmp/devscanprog.txt ]; then
      FOUND=`cat /tmp/devscanprog.txt | wc | cut -b 1-9`
    fi
    if [ "$FOUND" -gt "$OLDFOUND" ]; then
      let "DIFF=$FOUND-$OLDFOUND"
      echo "<script type="text/javascript">"
        echo '    scanlast.value = "' `tail -n 1 /tmp/devscanprog.txt` '"'
        echo '    scancount.value = "' $FOUND ' " '
      echo "</script>"      
        if [ "$FOUND" -ne "1" ]; then
            ENDING="s"
        else
            ENDING=""
        fi
    fi

# Finish
      if [ -f /tmp/devscanprog.txt ]; then
        FOUND=`cat /tmp/devscanprog.txt | wc | cut -b 1-9`
        echo "<script type="text/javascript">"
        echo '    scanlast.value = "' `tail -n 1 /tmp/devscanprog.txt` '"'
        echo '    scancount.value = "' $FOUND ' " '
        echo "</script>"
      else
        FOUND=0
        echo Found no 'devices.' '<br>'
      fi
		cat <<-EOF
        Scan is complete.<br>
		EOF
      if [ -f /tmp/devscanmatch.txt ]; then
		cat <<-EOF
        Database contains number of actuators indicated by user.<br>
		EOF
      fi
    echo "<script type="text/javascript">"
    echo '    scanlocation.value ="'***FINISHED***'";'
    echo "</script>"
else
		cat <<-EOF
        Database contains number of actuators indicated by user.<br>
		EOF
fi

if [ -f /var/ascu/Handle.db ]; then
  DEVICES_IN_DB=`cat /var/ascu/Handle.db | wc -l`
else
  let DEVICES_IN_DB=0
fi

if [ -f /var/ascu/ExternalBusPwr.txt ]; then
    echo 64 >/tmp/scanmax.txt
else
    echo 32 >/tmp/scanmax.txt
fi

cat <<EOF
<script type="text/javascript">
    opener.statushog.location.reload(true);
    opener.workerhog.document.open();
    opener.workerhog.document.write("Scan finished!<BR> $DEVICES_IN_DB device(s) in database.<BR>");
    opener.workerhog.document.writeln("Click on Start Scan if you wish to do another scan.");
    opener.workerhog.document.close();
    opener.document.getElementById("StartScan").disabled = false;
    opener.document.getElementById("CancelScan").disabled = true;
    opener.document.getElementById("menubar").disabled = false;
    opener.menus[0].disabled = true;
    opener.menus[1].disabled = true;
    opener.menus[2].disabled = true;
    opener.menus[3].disabled = true;
</script>
EOF
echo Stop >/tmp/cancelscan.txt
sleep 5
cat <<EOF
<script type="text/javascript">
    opener.workerhog2.location.reload(true);
    window.close(this);
</script>
<input type=button value="Close Window" onClick="window.close(this)" class=button style="width: 110px"><br>
</body>

EOF
else
cat <<-EOF
Feature is unavailable for this operator.<br>
EOF
sleep 5
cat <<EOF
<script type="text/javascript">
    opener.statushog.location.reload(true);
    opener.workerhog.document.open();
    opener.workerhog.document.write("Scan not performed.<BR>");
    opener.workerhog.document.writeln("Administrator must be logged in to execute device scan.");
    opener.workerhog.document.close();
    opener.document.getElementById("StartScan").disabled = false;
    opener.document.getElementById("CancelScan").disabled = true;
    opener.document.getElementById("menubar").disabled = false;
    opener.menus[0].disabled = true;
    opener.menus[1].disabled = true;
    opener.menus[2].disabled = true;
    opener.menus[3].disabled = true;
    window.close(this);
</script>
EOF
fi
cat <<EOF

</html>
