#!/bin/sh
ARGC=1
. ./getargs.sh
. ./cgiComFuncs.sh
. ./cgiSysFuncs.sh
. ./cgiDevFuncs.sh

cat <<EOF
Content-type: text/html
Expires: Wed, 21 Aug 1968 00:01:00 GMT

<html>
<head>
<title>Configuration Change In Progress</title>
<link rel=stylesheet href="/ascu.css" type="text/css">
</head>
<body>

EOF
. ./login.sh
GetOperatorName

if [ -z "$logOper" ] || [ "$logOper" = "10" ]; then
cat <<EOF

<h3>Configuration Change</h3>
Please wait while the system executes a configuration change.<br>
EOF
export RESULT="0"
case $action in
   Remove+All+Devices)
       export DEVLIST="`devtable -s Device -n All -t`"

       for victim in $DEVLIST ; do
           echo Removing $victim '<br>'
			# Tell aisg_manager
#           construct alternate query string here
            export action='Remove+Device'
            export name=$victim
            export QUERY_STRING="action=Remove+Device&name=$victim"
			aisg_command
            echo Device no longer being polled. '<br>'
			# Databases with device# in 1st field
			ascu_db_trans -db Handle.db -f "$name" -r
			ascu_db_trans -db Device.db -f "$name" -r -E
			# Databases with device ID in last field
			LIST="Sector.db Group.db Band.db"
			for DB in $LIST ; do
				ascu_db_trans -db $DB -f "	$NAME" -r
			done
            echo Device removed from databases. '<br>'
       done
       if [ -f /var/ascu/Handle.db ]; then
         rm -f /var/ascu/Handle.db
       fi

		;;
   Remove+Missing+Devices)

   export DEVLIST="`devtable -s Device -n All -t -R`"

       for victim in $DEVLIST ; do
           echo Removing $victim '<br>'
			# Tell aisg_manager
#           construct alternate query string here
            export action='Remove+Device'
            export name=$victim
            export QUERY_STRING="action=Remove+Device&name=$victim"
			aisg_command 
            echo Device no longer being polled. '<br>'
			# Databases with device# in 1st field
			ascu_db_trans -db Handle.db -f "$name" -r
			ascu_db_trans -db Device.db -f "$name" -r -E
			# Databases with device ID in last field
			LIST="Sector.db Group.db Band.db"
			for DB in $LIST ; do
				ascu_db_trans -db $DB -f "	$NAME" -r
			done
            echo Device removed from databases. '<br>'
       done
   ;;
esac
echo '<br>'
if [ "$RESULT" = "0" ]; then
cat <<EOF
<script type="text/javascript">
    opener.workerhog.document.open();
    opener.workerhog.document.writeln("Operation Successful. You may need to re-add devices or re-scan.");
    opener.workerhog.document.close();
    opener.location.reload(true);
    
</script>
EOF
else
cat <<EOF
<script type="text/javascript">
    opener.workerhog.document.open();
    opener.workerhog.document.writeln("Failure to $DESCRIPTION ");
    opener.workerhog.document.close();
</script>
EOF

fi

cat <<EOF
<input type=button value="Close Window" onClick="window.close(this)" class=button style="width: 110px"><br>
</body>
EOF
else
echo Feature is unavailable for this operator.'<br>'
cat <<EOF
<script type="text/javascript">
    opener.workerhog.document.open();
    opener.workerhog.document.writeln("Operation not performed.");
    opener.workerhog.document.writeln("Administrative session has timed out.");
    opener.workerhog.document.close();
    opener.workerhog.document.reload(true);
</script>
<input type=button value="Close Window" onClick="window.close(this)" class=button style="width: 110px"><br>
EOF
fi
cat <<EOF
</html>
EOF
