#!/bin/sh
. ./getargs.sh
./header2.sh "Controller Configuration"

# START for password feature
. ./login.sh
LogInLogic
GetOperatorName
# END for password feature

cat <<EOF
<script language="JavaScript">

function setTilt()
{
	var reqURL = "";
    var i=0;
	reqURL = "atc300MoveSectorExe.cgi?action=SetTilt&command=51&subset=Device&name=" + document.settilt.name.value;
    reqURL = reqURL + "&tilt=" + document.settilt.tilt.value;
    reqURL = reqURL + "&oldtilt=" + document.settilt.oldtilt.value;    

    if (document.settilt.tilt.value.length == 0)
    {
        alert("Must enter a valid new tilt angle");
        return;
    }

    if (parseFloat(document.settilt.tilt.value) > parseFloat(document.actdata.maxtilt.value))
    {
        alert("Tilt value too high, out of range.");    
    }
    else if (parseFloat(document.settilt.tilt.value) < parseFloat(document.actdata.mintilt.value))
    {
        alert("Tilt value too low, out of range.");
    }
    else
    {
        for(i = 1; i < document.actdata.select1.length; i++)
        {
            reqURL = reqURL + "&also" + i + "=" + document.actdata.select1.options[i].value;
        }
     document.getElementById("id1").disabled = true;
 	ScanWindow = window.open (reqURL,"scan","height=540,width=450,toolbar=no,menubar=no,scrollbars=yes,resizable=yes,location=no,directories=no,status=no,titlebar=no,top=50,left=100,screenX=100,screenY=100");
 	ScanWindow.focus();
    }
}

function setAzang()
{
	var reqURL = "";
    var i=0;
	reqURL = "atc300MoveSectorExe.cgi?action=SetAzang&command=161&subset=Device&name=" + document.settilt.name.value;
    reqURL = reqURL + "&tilt=" + document.settilt.tilt.value;
    reqURL = reqURL + "&oldtilt=" + document.settilt.oldtilt.value;

    if (document.settilt.tilt.value.length == 0)
    {
        alert("Must enter a valid new angle");
        return;
    }

    if (parseFloat(document.settilt.tilt.value) > parseFloat(document.actdata.maxtilt.value))
    {
        alert("Az value too high, out of range.");
    }
    else if (parseFloat(document.settilt.tilt.value) < parseFloat(document.actdata.mintilt.value))
    {
        alert("Az value too low, out of range.");
    }
    else if (parseFloat(document.settilt.tilt.value) != parseInt(document.settilt.tilt.value))
    {
        alert("Az value must be a whole integer value only.");
    }
    else
    {
        for(i = 1; i < document.actdata.select1.length; i++)
        {
            reqURL = reqURL + "&also" + i + "=" + document.actdata.select1.options[i].value;
        }
     document.getElementById("id1").disabled = true;
 	ScanWindow = window.open (reqURL,"scan","height=540,width=450,toolbar=no,menubar=no,scrollbars=yes,resizable=yes,location=no,directories=no,status=no,titlebar=no,top=50,left=100,screenX=100,screenY=100");
 	ScanWindow.focus();
    }
}

function setAzBw()
{
	var reqURL = "";
    var i=0;
	reqURL = "atc300MoveSectorExe.cgi?action=SetAzBW&command=164&subset=Device&name=" + document.settilt.name.value;
    reqURL = reqURL + "&tilt=" + document.settilt.tilt.value;
    reqURL = reqURL + "&oldtilt=" + document.settilt.oldtilt.value;

    if (document.settilt.tilt.value.length == 0)
    {
        alert("Must enter a valid new BW angle");
        return;
    }

    if (parseFloat(document.settilt.tilt.value) > parseFloat(document.actdata.maxtilt.value))
    {
        alert("BW value too high, out of range.");
    }
    else if (parseFloat(document.settilt.tilt.value) < parseFloat(document.actdata.mintilt.value))
    {
        alert("BW value too low, out of range.");
    }
    else if (parseFloat(document.settilt.tilt.value) != parseInt(document.settilt.tilt.value))
    {
        alert("BW value must be a whole integer value only.");
    }
    else
    {
        for(i = 1; i < document.actdata.select1.length; i++)
        {
            reqURL = reqURL + "&also" + i + "=" + document.actdata.select1.options[i].value;
        }
     document.getElementById("id1").disabled = true;
 	ScanWindow = window.open (reqURL,"scan","height=540,width=450,toolbar=no,menubar=no,scrollbars=yes,resizable=yes,location=no,directories=no,status=no,titlebar=no,top=50,left=100,screenX=100,screenY=100");
 	ScanWindow.focus();
    }
}

</script>

<table width="100%"  border="0" cellspacing="0" cellpadding="0">
EOF

cat <<EOF
  <tr><td>&nbsp;</td></tr>
  <tr><td>&nbsp;</td></tr>
  <tr><td>&nbsp;</td></tr>
EOF
cat <<EOF
  <tr id="title">
    <th colspan=4>
EOF

    if [ -z "$logOper" ]; then
        typetable -S -f Antenna -n $name -N -H -M
    else
        typetable -S -f Antenna -n $name -N -H -M -o $logOper
    fi

cat << EOF
    </th>
    <tr>
      <td id="rightside">
      <div class="box">
        <table>
EOF

    if [ -z "$logOper" ]; then
        typetable -S -f Antenna -n $name -N -M
    else
        typetable -S -f Antenna -n $name -N -M -o $logOper
    fi

cat <<EOF
        </table>
      </div>
      </td>
    </tr>
  </tbody>
</table>

<script language=javascript>

function SectorRem()
{
    if (document.actdata.select1.selectedIndex == (-1))
        alert("Nothing selected to remove");
    else if (document.actdata.select1.selectedIndex == 0)
        alert("Cannot remove base actuator");
    else
    {
        var temp = document.actdata.select1.options[document.actdata.select1.selectedIndex];
        // try it...
        document.actdata.select2.options[document.actdata.select2.length] =
            new Option(temp.text, temp.value, false, false);
        document.actdata.select1.options[document.actdata.select1.selectedIndex]=null;
    }
}

function SectorAdd()
{
    if (document.actdata.select2.selectedIndex == (-1))
    {
        alert("Nothing selected to add");
    }
    else if (document.actdata.select1.length == 12)
    {
        alert("Max number in a sector move is 12");
    }
    else if (document.actdata.select2.selectedIndex < document.actdata.select2.length)
    {
        var temp = document.actdata.select2.options[document.actdata.select2.selectedIndex];
        // try it...
        document.actdata.select1.options[document.actdata.select1.length] =
            new Option(temp.text, temp.value, false, false);
        document.actdata.select2.options[document.actdata.select2.selectedIndex]=null;        
    }
    else
    {
        alert("Cannot be done.");
    }

}


</script>

EOF
if [ -z "$logOper" ]; then
    cat menubar.html
else 
  if [ "$logOper" = "10" ]; then
    cat menubar_admin.html
  else
    cat menubar_oper.html
  fi
fi

cat << EOF
    <div class="box">
      <table cellspacing="0" width="100%">
        <tbody>
          <tr>
            <td><label>Command Response: </label></td>
          </tr>
          <tr>
            <table>
            <tr>
            <td>
            <IFRAME WIDTH=100% HEIGHT=75px ALIGN="top" NAME=workerhog SRC>
            </IFRAME>
            </td>
            </tr>
            </table>
            </div>
          </tr>
        </tbody>
      </table>
      <table width="100%">
          <tr> <td>&nbsp;</td></tr>
          <tr>
            <td align=center>
                <input name="btnClose" type="button" id="btnClose" value="Close" onclick="parent.location='/cgi-bin/index.cgi'">
            </td>
          </tr>
      </table>
EOF

cat <<EOF
</body>
</html>
EOF

