#!/bin/sh
. ./getargs.sh
./header2.sh "Controller Configuration"

# START for password feature
. ./login.sh
LogInLogic
GetOperatorName
# END for password feature

cat <<EOF
<script language="JavaScript">

function calTilt()
{
	var reqURL = "";
	reqURL = "atc300CalSelectedExe.cgi?action=SetTilt&command=51&subset=Device&name=" + document.settilt.name.value;
 	ScanWindow = window.open (reqURL,"scan","height=275,width=450,toolbar=no,menubar=no,scrollbars=yes,resizable=yes,location=no,directories=no,status=no,top=100,left=100,screenX=100,screenY=100");
 	ScanWindow.focus();
}


function setTilt()
{
	var reqURL = "";
	reqURL = "atc300MoveSelectedExe.cgi?action=SetTilt&command=51&subset=Device&name=" + document.settilt.name.value;
    reqURL = reqURL + "&tilt=" + document.settilt.tilt.value;
    reqURL = reqURL + "&oldtilt=" + document.settilt.oldtilt.value;

    if (document.settilt.tilt.value.length == 0)
    {
        alert("Must enter a valid new tilt angle");
        return;
    }
    
    if (parseFloat(document.settilt.tilt.value) > parseFloat(document.actdata.maxtilt.value))
    {
        alert("Tilt value too high, out of range.");    
    }
    else if (parseFloat(document.settilt.tilt.value) < parseFloat(document.actdata.mintilt.value))
    {
        alert("Tilt value too low, out of range.");
    }
    else
    {
        
     document.getElementById("id1").disabled = true;
 	ScanWindow = window.open (reqURL,"scan","height=275,width=450,toolbar=no,menubar=no,scrollbars=yes,resizable=yes,location=no,directories=no,status=no,top=100,left=100,screenX=100,screenY=100");
 	ScanWindow.focus();
    }
}

function setAzang()
{
	var reqURL = "";
	reqURL = "atc300MoveSelectedExe.cgi?action=SetAzang&command=161&subset=Device&name=" + document.settilt.name.value;
    reqURL = reqURL + "&tilt=" + document.settilt.tilt.value;
    reqURL = reqURL + "&oldtilt=" + document.settilt.oldtilt.value;

    if (document.settilt.tilt.value.length == 0)
    {
        alert("Must enter a valid new az angle");
        return;
    }

    if (parseFloat(document.settilt.tilt.value) > parseFloat(document.actdata.maxtilt.value))
    {
        alert("Az value too high, out of range.");
    }
    else if (parseFloat(document.settilt.tilt.value) < parseFloat(document.actdata.mintilt.value))
    {
        alert("Az value too low, out of range.");
    }
    else if (parseFloat(document.settilt.tilt.value) != parseInt(document.settilt.tilt.value))
    {
        alert("Az value must be a whole integer value only.");
    }
    else
    {

    document.getElementById("id1").disabled = true;
 	ScanWindow = window.open (reqURL,"scan","height=275,width=450,toolbar=no,menubar=no,scrollbars=yes,resizable=yes,location=no,directories=no,status=no,top=100,left=100,screenX=100,screenY=100");
 	ScanWindow.focus();
    }
}

function setAzBw()
{
	var reqURL = "";
	reqURL = "atc300MoveSelectedExe.cgi?action=SetAzang&command=164&subset=Device&name=" + document.settilt.name.value;
    reqURL = reqURL + "&tilt=" + document.settilt.tilt.value;
    reqURL = reqURL + "&oldtilt=" + document.settilt.oldtilt.value;

    if (document.settilt.tilt.value.length == 0)
    {
        alert("Must enter a valid new BW");
        return;
    }

    if (parseFloat(document.settilt.tilt.value) > parseFloat(document.actdata.maxtilt.value))
    {
        alert("BW value too high, out of range.");
    }
    else if (parseFloat(document.settilt.tilt.value) < parseFloat(document.actdata.mintilt.value))
    {
        alert("BW value too low, out of range.");
    }
    else if (parseFloat(document.settilt.tilt.value) != parseInt(document.settilt.tilt.value))
    {
        alert("BW value must be a whole integer value only.");
    }
    else
    {

    document.getElementById("id1").disabled = true;
 	ScanWindow = window.open (reqURL,"scan","height=275,width=450,toolbar=no,menubar=no,scrollbars=yes,resizable=yes,location=no,directories=no,status=no,top=100,left=100,screenX=100,screenY=100");
 	ScanWindow.focus();
    }
}


</script>

<table width="100%"  border="0" cellspacing="0" cellpadding="0">
EOF

cat <<EOF
  <tr><td>&nbsp;</td></tr>
  <tr><td>&nbsp;</td></tr>
  <tr><td>&nbsp;</td></tr>
EOF
cat <<EOF
  <tr id="title">
    <th colspan=4>
EOF

    typetable -f Antenna -n $name -N -H -M

cat << EOF
    </th>
    <tr>
      <td id="rightside">
      <div class="box">
        <table>
EOF

    typetable -f Antenna -n $name -N -M

cat <<EOF
        </table>
      </div>
      </td>
    </tr>
  </tbody>
</table>
EOF

if [ -z "$logOper" ]; then
    cat menubar.html
else 
  if [ "$logOper" = "10" ]; then
    cat menubar_admin.html
  else
    cat menubar_oper.html
  fi
fi

cat << EOF
    <div class="box">
      <table cellspacing="0" width="100%">
        <tbody>
          <tr>
            <td><label>Command Response: </label></td>
          </tr>
          <tr>
            <table>
            <tr>
            <td>
            <IFRAME WIDTH=100% HEIGHT=75px ALIGN="top" NAME=workerhog SRC>
            </IFRAME>
            </td>
            </tr>
            </table>
            </div>
          </tr>
        </tbody>
      </table>
      <table width="100%">
          <tr> <td>&nbsp;</td></tr>
          <tr>
            <td align=center>
                <input name="btnClose" type="button" id="btnClose" value="Close" onclick="parent.location='/cgi-bin/index.cgi'">
            </td>
          </tr>
      </table>
EOF

cat <<EOF
</body>
</html>
EOF

