#!/bin/sh
. ./getargs.sh
. ./cgiComFuncs.sh
. ./cgiSysFuncs.sh
./header2.sh "Operator Management"

# START for password feature
. ./login.sh
LogInLogic
GetOperatorName
# END for password feature

if [ -z "$logOper" ] || [ "$logOper" = "10" ]; then

  if [ -z "$action" ]; then
	RESULT=""
  else
    . ./atc300OpnameConfigExe.cgi
  fi
OPNAME1=`ascu_db_trans -db Opname.db -f 1 | cut -f 2`
OPPW1=`ascu_db_trans -db Opname.db -f 1 | cut -f 3`
OPNAME2=`ascu_db_trans -db Opname.db -f 2 | cut -f 2`
OPPW2=`ascu_db_trans -db Opname.db -f 2 | cut -f 3`
OPNAME3=`ascu_db_trans -db Opname.db -f 3 | cut -f 2`
OPPW3=`ascu_db_trans -db Opname.db -f 3 | cut -f 3`
OPNAME4=`ascu_db_trans -db Opname.db -f 4 | cut -f 2`
OPPW4=`ascu_db_trans -db Opname.db -f 4 | cut -f 3`
fi

cat <<EOF
<script language="Javascript">

String.prototype.trim = function() {
   // Strip leading and trailing white-space
   return this.replace(/^\s*|\s*$/g, "");
}
function isAlphaNumeric(str)
{
   var re = /[^a-zA-Z0-9-]/g
   if (re.test(str)) return " expected characters a-z, A-Z, 0-9, or '-' only";
   return str;
}
function validateOpnameForm(form)
{
  var opname;
  var password; 
  var opnameString;
  var passwordString;

  for(i=1; i<=4; i++)
  {
    switch (i)
    {
    case 1:
      opname=form.opname_1.value;
      password=form.oppassword_1.value;
    break;
    case 2:
      opname=form.opname_2.value;
      password=form.oppassword_2.value;
    break;
    case 3:
      opname=form.opname_3.value;
      password=form.oppassword_3.value;
    break;
    case 4:
      opname=form.opname_4.value;
      password=form.oppassword_4.value;
    break;
    }

    opname=opname.trim();
    password=password.trim();
    // alert("Operator name " + opnameString + ", len=" + opnameString.length);
    if (opname.length > 0)
    {
      if (opname.length > 20)
      {
        alert("Operator name " + i + " too long.");
        return false;
      }
      else 
      {
        opnameString=isAlphaNumeric(opname);
        if (opnameString.length > 20)
        {
          alert("Illegal characters in operator " + i + " name.");
          return false;
        }
        else if (password.length == 0)
        {
          alert("Operator " + i + " password required.");
          return false;
        }
        else if (password.length > 20)
        {
          alert("Password " + i + " too long.");
          return false;
        }
        else
        {
          passwordString=isAlphaNumeric(password);
          if (passwordString.length > 20)
          {
            alert("Illegal characters in password " + i + ".");
            return false;
          }
        }
      }
    }
    else if (password.length > 0)
    {
        alert("Invalid password " + i + ", no operator name associated.");
        return false;
    }
  }
  return confirm("All operator alarm history logs will be deleted. Proceed?");
}

</script>

EOF
if [ -z "$logOper" ] || [ "$logOper" = "10" ]; then
cat <<EOF

<table width="100%"  border="0" align="center" cellpadding="0" cellspacing="0" id="content" >
<tr><td width="58%">&nbsp;</td></tr>
  <tr><td>&nbsp;</td></tr>
  <tr><td>&nbsp;</td></tr>
  <tr id="title">
    <th colspan=3>
<label><span class="style1">Operator Management</span></label>
        &nbsp;
    </th>
  <tr>
<td colspan="3"><div class="form_2">
<fieldset>
<legend>Operator Configuration:</legend>
<form action="/cgi-bin/atc300OpnameConfig.cgi" method=GET ONSUBMIT="return validateOpnameForm(this)">
<table width="99%%"  class="form_2" border="0" cellspacing="0" cellpadding="0">
<tr><td>&nbsp;</td><td><div align="left">Operator Name</div></td><td>Password</td></tr>  
<tr><td width="10%"><div align="right"> 1 <br></div></td>
<td width="30%"><div align="left"><input type="text" name="opname_1" size="20" value="$OPNAME1"></div></td>
<td width="30%"><div align="left"><input type=password name="oppassword_1" size="20" value="$OPPW1"></div></td>
</tr>
<tr><td width="10%"><div align="right"> 2 <br></div></td>
<td width="30%"><div align="left"><input type="text" name="opname_2" size="20" value="$OPNAME2"></div></td>
<td width="30%"><div align="left"><input type=password name="oppassword_2" size="20" value="$OPPW2"></div></td>
</tr>
<tr><td width="10%"><div align="right"> 3 <br></div></td>
<td width="30%"><div align="left"><input type="text" name="opname_3" size="20" value="$OPNAME3"></div></td>
<td width="30%"><div align="left"><input type=password name="oppassword_3" size="20" value="$OPPW3"></div></td>
</tr>
<tr><td width="10%"><div align="right"> 4 <br></div></td>
<td width="30%"><div align="left"><input type="text" name="opname_4" size="20" value="$OPNAME4"></div></td>
<td width="30%"><div align="left"><input type=password name="oppassword_4" size="20" value="$OPPW4"></div></td>
</tr>
<tr><td>&nbsp;</td></tr>
<tr>
<td width="99%%" align="center" valign="top" colspan="6">
<input type="submit" name="action" value="Set Operator Info">
</td>
</tr>
</form>
</table>
</fieldset>
</div></td>
</tr>
</table>

EOF
cat menubar_admin.html

cat << EOF
    <div class="box">
      <table cellspacing="0" width="100%">
        <tbody>
          <tr>
            <td><label>Command Response: </label></td>
          </tr>
          <tr>
            <table>
            <tr>
            <td>
            <IFRAME WIDTH=100% HEIGHT=75px ALIGN="top" NAME=workerhog SRC>
            </IFRAME>
            </td>
            </tr>
            </table>
            </div>
          </tr>
        </tbody>
      </table>
      <table width="100%">
          <tr> <td>&nbsp;</td></tr>
          <tr>
            <td align=center>
                <input name="btnClose" type="button" id="btnClose" value="Close" onclick="parent.location='/cgi-bin/atc300ControllerConfig.cgi'">
            </td>
          </tr>
      </table>
EOF


if [ -z "$action" ]; then
  echo >>/dev/null
else
cat << EOF
<script language=Javascript>
    workerhog.document.open();
    workerhog.document.write("$RESULT");
    workerhog.document.close();

</script>
EOF
fi

cat <<EOF
</body>
</html>
EOF
else
echo Feature is unavailable for this operator.
cat <<EOF
          <tr> <td>&nbsp;</td></tr>
          <tr>
            <td align=center>
                <input name="btnClose" type="button" id="btnClose" value="Close" onclick="parent.location='/cgi-bin/index.cgi'">
            </td>
          </tr>
EOF
fi

