#!/bin/sh

./header2.sh "$subset Status"

# START for password feature
. ./login.sh
LogInLogic
GetOperatorName
# END for password feature

ARGC=1
. ./getargs.sh

echo "<gnop>"
case $action in
   Set+Device+Data)
     TEMP2=`/usr/bin/aisg_command -a -2 -l -b " " -e " " -s "&nbsp;"|sed 's|$|<br>\\\\|'`
   ;;
esac

echo "<gnorp>"


cat << EOF

<script language="JavaScript">

function validFormTMA(form)
{
var bResult = true;
var version = document.getElementById("AISGversion");
var elemIn4 = document.getElementById("in4");
var elemIn6 = document.getElementById("in6");
var elemIn7 = document.getElementById("in7");
var elemIn10 = document.getElementById("in10");
var blanksrch= /^ *$/;

if (elemIn10 != null)
{
	if ((version.value < 2) && ( elemIn10.value.length > 4))
    	{
            alert("Sector cannot exceed 4 characters.");
            bResult = false;
	}
	else if ( elemIn10.value.length > 32)
    	{
            alert("Sector cannot exceed 32 characters.");
            bResult = false;
    	}
	else if ((elemIn10.value.length == 1) && ((elemIn10.value) >= "0") && ((elemIn10.value) <= "7"))
    	{
	    elemIn10.value=elemIn10.value+" ";
	}
	if (blanksrch.test(elemIn10.value))
	{
	    elemIn10.value="";
	}

	if ( elemIn10.value.length == 0)
    	{
            alert("A Sector value is required.");
            bResult = false;
    	}
}

if (bResult && elemIn4 != null)
{
	if ((version.value < 2) && ( elemIn4.value.length > 12))
	{
            alert("Base Station ID cannot exceed 12 characters.");
	    bResult = false;
	}
	else if ( elemIn4.value.length > 32)
	{
            alert("Base Station ID cannot exceed 32 characters.");
	    bResult = false;
	}

    if (blanksrch.test(elemIn4.value))
    {
       elemIn4.value="";
    }
}

if (bResult && elemIn6 != null)
{
	if ( elemIn6.value.length > 6)
	{
            alert("Installation Date cannot exceed 6 characters.");
	    bResult = false;
	}
}

if (bResult && elemIn7 != null)
{
    if ( elemIn7.value.length > 5) 
    {
        alert("Installer ID cannot exceed 5 characters.");
	bResult = false;
    }
}

return bResult;
}
</script>	

<table width="100%"  border="0" cellspacing="0" cellpadding="0">
  <tr><td>&nbsp;</td></tr>
  <tr><td>&nbsp;</td></tr>
  <tr><td>&nbsp;</td></tr>
  <tr id="title">
    <th colspan=4>
EOF
    typetable -f Antenna -n $name -N -H
cat <<EOF    
        &nbsp;
    </th>
  </tr>

  <form  action="/cgi-bin/atc300tmacfg.cgi" method=GET onsubmit="return validFormTMA(this)">

<input type=hidden name="command" value="14">
<input type=hidden name="subset" value="$subset">
<input type=hidden name="name" value="$name">

  <tr>
    <td id="rightside"><div class="box">
        <table>
EOF

    typetable -f Antenna -n $name -N
        
cat << EOF
        <tr><td>&nbsp;<td></tr>
          <tr>
            <td align=center colspan="9">* Denotes a required field</td>
          </tr>
          </tr>
            <td align=center colspan=5> <input name="action" type=submit id="action" value="Set Device Data" ></td>
          </tr>
          <tr><td>&nbsp;<td></tr>
        </table>
    </div></td>
  </tr>
  </form>
  <tr>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td>&nbsp;</td>
  </tr>
</table>

  
<table width="100%"  border="0" cellspacing="0" cellpadding="0">
    <form  action="/cgi-bin/atc300tmacfg.cgi" method=GET>

<input type=hidden name="command" value="14">
<input type=hidden name="subset" value="$subset">
<input type=hidden name="name" value="$name">
<input type=hidden name="20.0" value="on">
<input type=hidden name="21.0" value="on">
  <tr>
    <td id="rightside"><div class="box">
        <table>
EOF

    typetable -f Antenna -n $name -N -t

cat << EOF
          <tr><td>&nbsp;<td></tr>
        </table>
    </div></td>
  </tr>
  </form>

  <tr>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td>&nbsp;</td>
  </tr>
</table>
EOF

if [ -z "$logOper" ]; then
    cat menubar.html
else 
  if [ "$logOper" = "10" ]; then
    cat menubar_admin.html
  else
    cat menubar_oper.html
  fi
fi
case $action in
   Set+Device+Data)

cat << EOF
    <div class="box">
      <table cellspacing="0">
        <tbody>
          <tr>
            <td><label>Command Response: </label></td>
          </tr>
          <tr>
            <table>
            <tr>
            <td>
            <IFRAME WIDTH=100% HEIGHT=75px ALIGN="top" NAME=workerhog SRC>
            </IFRAME>
            </td>
            </tr>
            </table>
            </div>
          </tr>
        </tbody>
      </table>
    </div>

<script language=javascript>
    workerhog.document.open();
    workerhog.document.write("$TEMP<br>$TEMP2<br>$TEMP3");
    workerhog.document.close();
</script>
EOF
   
   ;;
   Set+TMA+Data)

cat << EOF
    <div class="box">
      <table cellspacing="0">
        <tbody>
          <tr>
            <td><label>Command Response: </label></td>
          </tr>
          <tr>
            <table>
            <tr>
            <td>
            <IFRAME WIDTH=100% HEIGHT=75px ALIGN="top" NAME=workerhog SRC>
            </IFRAME>
            </td>
            </tr>
            </table>
            </div>
          </tr>
        </tbody>
      </table>
    </div>

<script language=javascript>
    workerhog.document.open();
    workerhog.document.write("$TEMP<br>$TEMP2<br>$TEMP3");
    workerhog.document.close();
</script>
EOF

   ;;
esac

cat <<EOF
      <table width="100%">
          <tr>
            <td align=center>
                <input name="btnClose" type="button" id="btnClose" value="Close" onclick="parent.location='/cgi-bin/index.cgi?class=TMA'">
            </td>
          </tr>
      </table>
</body>
</html>
EOF


