#!/bin/sh
cat <<EOF
HTTP/1.0 200 OK
Content-Type: text/html

EOF

if [ "$QUERY_STRING" = "r" ]; then
	if [ -f /var/lock/atm.lock ]; then
		PID=`tail -n 1 /var/lock/atm.lock`
		if [ -d /proc/$PID ]; then
			kill -9 $PID
		fi
		rm /var/lock/atm.lock
	fi
	cat <<-EOF
	<html><head><title>iTouch SLIP proxy</title></head>
	<body bgcolor=white>
	<hr>Access lock removed<hr>
	<a href=atm.cgi>Retry</a>
	</body></html>	
	EOF

else
	if [ -f /var/lock/atm.lock ]; then
		LOCK=`head -n 1 /var/lock/atm.lock`
		cat <<-EOF
		<html><head><title>iTouch SLIP proxy</title></head>
		<body bgcolor=white>
		<hr>Access locked by $LOCK<hr>
		<a href=atm.cgi?r>Remove lock</a>
		</body></html>	
		EOF

	else
		echo $REMOTE_ADDR > /var/lock/atm.lock
		echo $$ >> /var/lock/atm.lock
		wget -O - "http://192.168.7.188/$QUERY_STRING"
		rm /var/lock/atm.lock
	fi
fi
