#!/bin/sh
qt () { "$@" >/dev/null 2>&1 ; }

#perform DB version update
DBVERS=`ascu_db_trans -v`
ARCVERS=`ascu_db_trans -db Site.db -f 0 | cut -f 2`
if [ "$ARCVERS" != "$DBVERS" ]; then
	if [ "$ARCVERS" -lt "$DBVERS" ]; then
		echo "$0: Updating version $ARCVERS Database"
		ascu_db_trans -db Device.db -u
		ascu_db_trans -db Group.db -u
		ascu_db_trans -db Sector.db -u
		ascu_db_trans -db Band.db -u
	fi
	# Update version in Site.db
	ascu_db_trans -db Site.db -f 0 -s , -w 0,$DBVERS
fi
