// Common jscript functions for inclusion in CGI scripts
function isDigit(c) {
	var test = "" + c;
	if (test >= "0" && test <= "9") 
	{
		return true; 
	}
	return false;
}
function isNumeric(testStr) {
	if (testStr.length == 0)	// nothing entered?
		return false
	for (var i = 0; i < testStr.length; i++)
		if (!isDigit(testStr.charAt(i)))
			return false
	return true
}
function isAddress(testStr) {
	if (testStr.length == 0)	// nothing entered?
	{
		return false
	}
	for (var i = 0; i < testStr.length; i++)
	{
		if (!isDigit(testStr.charAt(i)))
		{
			if (testStr.charAt(i) != ".")
			{
				return false
			}
		}
	}
	return true
}
function numvalidation(value,max)
{
	if (isNumeric(value))
	{
		checkvalue=parseInt(value);
		if ((checkvalue<0) ||(checkvalue>max) || value!=checkvalue)
		{
			return false;
		}
		else 
		{
			return true;
		}
	}
	return false;
}
function boundsvalidation(value,max,min)
{
	if (isNumeric(value))
	{
		if (max == min)
		{
			return true;
		}
		else
		{
			checkvalue=parseInt(value);
			if ((checkvalue<min) ||(checkvalue>max) || value!=checkvalue)
			{
				return false;
			}
			else 
			{
				return true;
			}
		}
	}
	return false;
}
function floatvalidation(value,max,min)
{
	checkvalue=parseFloat(value);
	if ((checkvalue<min) ||(checkvalue>max))
		{
			return false;
		}
	return true;
}
function addrvalidation(a1,a2,a3,a4)
{
	return (numvalidation(a1,255) &&
		numvalidation(a2,255) &&
		numvalidation(a3,255) &&
		numvalidation(a4,255))
}
function wordfieldvalidation(entered)
{
	with (entered)
	{
		if(numvalidation(value,65535))
		{
			return true;
		}
		else
		{
			alert("Port number fields must be integers in the range 0 - 65535!")
			entered.focus()
			return false
		}
	}
}
function bytefieldvalidation(entered)
{
	with (entered)
	{
		if(numvalidation(value,255))
		{
			return true;
		}
		else
		{
			alert("Address fields must be integers in the range 0 - 255!")
			entered.focus()
			return false
		}
	}
}
function argFieldValidation(entered, maxlen)
{
	with (entered)
	{
		if (value.length > maxlen)
		{
			alert("Maximum field length [" +maxlen+ "] exceeded")
			entered.focus()
			return false
		}
		if(legalString(value))
		{
			return true;
		}
		else
		{
			alert("Illegal character in field! Spaces and punctuation are not permitted")
			entered.focus()
			return false
		}
	}
}
function addrFieldValidation(entered)
{
	with (entered)
	{
		if(isBlank(value) || isAddress(value))
		{
			return true;
		}
		else
		{
			alert("Illegal character in field! Only digits and . are permitted")
			entered.focus()
			return false
		}
	}
}
function validateString(name) 
{
	if (isBlank(name)) 
	{		// field blank?
		return false
	}
	return true
}
function isBlank(testStr) 
{
	if (testStr.length == 0)	// nothing entered?
		return true
	for (var i = 0; i < testStr.length; i++)	// all spaces?
		if (testStr.charAt(i) != " ")
			return false
	return true
}
function legalString(name) 
{
	var illegalChars = " _{}[]\"\'!@#$%^&*()|`<>?/:;,\\"
	for (loop = 0; loop < illegalChars.length; loop++)
	{
		if (inString(name,illegalChars.charAt(loop))) 
		{
			return false
		}
	}
	return true
}
function inString(testStr,token) 
{
	for (var i = 0; i < testStr.length; i++)
	{
		if (testStr.charAt(i) == token)
		{
			return true
		}
	}
  return false
}
