#!/bin/sh

BACKLINK=$HTTP_REFERER
ARGC=1
. ./getargs.sh
. ./cgiComFuncs.sh
if [ -z "$action" ]; then
	RESULT=""
else
	if [ "$action" = "Change+Name" ]; then
		if [ -z "$site" ]; then
			RESULT="Please enter a new name"
		else
			SITE=`xlate $site`
			ascu_db_trans -db Site.db -f 1 -w "1	$SITE"
			RESULT="Site name changed to $SITE"
		fi
	fi
fi
SITE=`ascu_db_trans -db Site.db -f 1 | cut -f 2`
./header.sh "Site Configuration"

cat <<EOF
<table border=0 cellspacing=0 cellpadding=0 width=680 align=center summary="">
	<tr>
		<td valign=top>
			<table border=0 cellspacing=0 cellpadding=4 width=100 height=380 summary="Main menu">
				<tr>
					<td bgcolor=#6699CC nowrap><a href="/cgi-bin/index.cgi" class=menu>Main Page</a></td>
				</tr>
				<tr>
					<td bgcolor=#6699CC nowrap><a href="/cgi-bin/oldindex.cgi" class=menu>Old Main Page</a></td>
				</tr>
				<TR>
					<TD bgColor=#6699CC noWrap>
						<A class=menu href="/cgi-bin/status.cgi?subset=Device">&#149;&nbsp;Antenna Devices</A>
					</TD>
				</TR>
				<tr>
					<td bgcolor=#6699CC nowrap><a href="devconf.cgi" class=menu>&nbsp;&nbsp;&#150;&nbsp;Device Configuration</a></td>
				</tr>
				<tr>
					<td bgcolor=#6699CC nowrap><a href="addsub.cgi?subset=Sector" class=menu>&nbsp;&nbsp;&#150;&nbsp;Sector Configuration</a></td>
				</tr>
				<tr>
					<td bgcolor=#6699CC nowrap><a href="addsub.cgi?subset=Group" class=menu>&nbsp;&nbsp;&#150;&nbsp;Group Configuration</a></td>
				</tr>
				<tr>
					<td bgcolor=#6699CC nowrap><a href="addsub.cgi?subset=Band" class=menu>&nbsp;&nbsp;&#150;&nbsp;Band Configuration</a></td>
				</tr>
				<TR>
					<TD bgColor=#6699CC noWrap>
						<A class=menu href="/cgi-bin/system.cgi">&#149;&nbsp;Controller</A>
					</TD>
				</TR>
				<TR>
					<TD bgColor=#6699CC height="100%">
						<PRE> </PRE>
					</TD>
				</TR>
			</table>
		</td>
		<td align=center width=12></td>
		<td valign=top align=left>
			<hr>
			<table border=0 width=530 cellspacing=0 cellpadding=0 summary="">
				<tr>
					<td><H3>Site Configuration</H3></td>
				</tr>
			</table>
			<table border=0 cellspacing=0 cellpadding=4>
				<form  action="/cgi-bin/site.cgi" method=GET>
					<tr>
						<td align=center>Site Name: </td>
						<td><input type="text" name="site" size="25" value="$SITE"></td>
					</tr>
					<tr>
						<td><input type=submit name="action" value="Change Name" class=button style="width: 100px"></td>
					</tr>
				</form>
			</table>
			<hr>
			<table border=0 cellspacing=0 cellpadding=4>
				<tr>
					<td >$RESULT</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
</body>
</html>
EOF
